package nlib.bbs.service;

import nlib.util.StringUtil;
import nlib.util.UUID;

/**
 * <pre>
 * @Class Name : AttachFileVO.java
 * 
 * @Description : 첨부파일 정보 VO 
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 9. 14.    KNKIM       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021. 9. 14.
 * @version 1.0
 *
 */
public class AttachFileVO {

	private String subPathKey;           /* 첨부파일서브경로 */
	
	private String fileMask;             /* 첨부파일아이디 */
	private String fileId;               /* 업무 아이디 */
	private int    fileSeq;              /* 파일 번호 */
	private String fileName;             /* 파일 이름 */
	private int    fileSize;             /* 파일 사이즈 */
	private String fileTypeCd;           /* 파일 유형(디지털화사용) */
	private int    downloadCount;        /* 파일 다운로드 횟수 */
	private String downloadExpireDate;   /* 파일 만료 날짜 */
	private int    downloadLimitCount;   /* 파일 다운로드 제한 횟수 */
	
	private String deleteYn;             /* 삭제 여부 */
	private String streamingUrl;         /* 스트리밍URL */
	private String content;              /* 내용주기 */
	private String atchTypeCd;           /* 첨부파일유형 (image, doc)  */
	
	private String regDd;		         /* 등록 날짜  */
	
	private String fileExtsn;            /* 파일확장자 */ 
	
	public void setAtchTypeCdFromFileExtsn() {
		if(StringUtil.isEmpty(fileExtsn)) return;
		
		if("|jpg|jpeg|png|gif|".contains(fileExtsn)) atchTypeCd = "image";
		else if("|hwp|doc|docx|xls|xlsx|ppt|pptx|".contains(fileExtsn)) atchTypeCd = "doc";
		
		return;

	}
	
	public String getFileMask() {
		return fileMask;
	}

	public void setFileMask(String fileMask) {
		this.fileMask = fileMask;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFileTypeCd() {
		return fileTypeCd;
	}

	public void setFileTypeCd(String fileTypeCd) {
		this.fileTypeCd = fileTypeCd;
	}

	public String getDownloadExpireDate() {
		return downloadExpireDate;
	}

	public void setDownloadExpireDate(String downloadExpireDate) {
		this.downloadExpireDate = downloadExpireDate;
	}

	public String getDeleteYn() {
		return deleteYn;
	}

	public void setDeleteYn(String deleteYn) {
		this.deleteYn = deleteYn;
	}

	public String getStreamingUrl() {
		return streamingUrl;
	}

	public void setStreamingUrl(String streamingUrl) {
		this.streamingUrl = streamingUrl;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getAtchTypeCd() {
		return atchTypeCd;
	}

	public void setAtchTypeCd(String atchTypeCd) {
		this.atchTypeCd = atchTypeCd;
	}

	public String getRegDd() {
		return regDd;
	}

	public void setRegDd(String regDd) {
		this.regDd = regDd;
	}

	public int getFileSeq() {
		return fileSeq;
	}

	public void setFileSeq(int fileSeq) {
		this.fileSeq = fileSeq;
	}

	public int getFileSize() {
		return fileSize;
	}

	public void setFileSize(int fileSize) {
		this.fileSize = fileSize;
	}


	public int getDownloadCount() {
		return downloadCount;
	}

	public void setDownloadCount(int downloadCount) {
		this.downloadCount = downloadCount;
	}

	public int getDownloadLimitCount() {
		return downloadLimitCount;
	}

	public void setDownloadLimitCount(int downloadLimitCount) {
		this.downloadLimitCount = downloadLimitCount;
	}

	public String getSubPathKey() {
		return subPathKey;
	}

	public void setSubPathKey(String subPathKey) {
		this.subPathKey = subPathKey;
	}

	public String getFileExtsn() {
		return fileExtsn;
	}

	public void setFileExtsn(String fileExtsn) {
		this.fileExtsn = (fileExtsn == null ? null : fileExtsn.toLowerCase());
	}
	
}
